/2026-01/marketing-solutions/audience-segments
curl --request PATCH \
--url https://api.criteo.com/2026-01/marketing-solutions/audience-segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"attributes": {
"description": {
"value": "<string>"
},
"filterBased": {
"algebra": {
"and": "<array>",
"filter": {
"partnerId": {
"values": [
123
]
},
"productCategory": {
"values": [
{
"id": "<string>",
"level": 123
}
]
},
"sellerId": {
"values": [
123
]
}
},
"not": "<unknown>",
"or": "<array>"
},
"countryCodes": [
"<string>"
]
},
"inMarket": {
"brandIds": [
"<string>"
],
"buyingPower": [],
"country": "<string>",
"gender": {},
"interestIds": [
"<string>"
],
"priceRange": []
},
"location": {
"pointsOfInterest": [
{
"latitude": 123,
"longitude": 123,
"name": "<string>"
}
],
"radiusInKm": 123,
"registryType": "PointOfInterest"
},
"lookalike": {
"targetSize": 123
},
"name": "<string>",
"prospecting": {
"daysSinceLastVisitMax": {
"value": 123
},
"daysSinceLastVisitMin": {
"value": 123
}
},
"retargeting": {
"daysSinceLastVisitMax": 123,
"daysSinceLastVisitMin": 123
}
},
"id": "<string>",
"type": "<string>"
}
]
}
'import requests
url = "https://api.criteo.com/2026-01/marketing-solutions/audience-segments"
payload = { "data": [
{
"attributes": {
"description": { "value": "<string>" },
"filterBased": {
"algebra": {
"and": "<array>",
"filter": {
"partnerId": { "values": [123] },
"productCategory": { "values": [
{
"id": "<string>",
"level": 123
}
] },
"sellerId": { "values": [123] }
},
"not": "<unknown>",
"or": "<array>"
},
"countryCodes": ["<string>"]
},
"inMarket": {
"brandIds": ["<string>"],
"buyingPower": [],
"country": "<string>",
"gender": {},
"interestIds": ["<string>"],
"priceRange": []
},
"location": {
"pointsOfInterest": [
{
"latitude": 123,
"longitude": 123,
"name": "<string>"
}
],
"radiusInKm": 123,
"registryType": "PointOfInterest"
},
"lookalike": { "targetSize": 123 },
"name": "<string>",
"prospecting": {
"daysSinceLastVisitMax": { "value": 123 },
"daysSinceLastVisitMin": { "value": 123 }
},
"retargeting": {
"daysSinceLastVisitMax": 123,
"daysSinceLastVisitMin": 123
}
},
"id": "<string>",
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
attributes: {
description: {value: '<string>'},
filterBased: {
algebra: {
and: '<array>',
filter: {
partnerId: {values: [123]},
productCategory: {values: [{id: '<string>', level: 123}]},
sellerId: {values: [123]}
},
not: '<unknown>',
or: '<array>'
},
countryCodes: ['<string>']
},
inMarket: {
brandIds: ['<string>'],
buyingPower: [],
country: '<string>',
gender: {},
interestIds: ['<string>'],
priceRange: []
},
location: {
pointsOfInterest: [{latitude: 123, longitude: 123, name: '<string>'}],
radiusInKm: 123,
registryType: 'PointOfInterest'
},
lookalike: {targetSize: 123},
name: '<string>',
prospecting: {daysSinceLastVisitMax: {value: 123}, daysSinceLastVisitMin: {value: 123}},
retargeting: {daysSinceLastVisitMax: 123, daysSinceLastVisitMin: 123}
},
id: '<string>',
type: '<string>'
}
]
})
};
fetch('https://api.criteo.com/2026-01/marketing-solutions/audience-segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"advertiserId": "<string>",
"behavioral": {
"category": "Unknown",
"country": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"contactList": {
"isReadOnly": true
},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"filterBased": {
"algebra": {
"and": "<array>",
"filter": {
"partnerId": {
"operator": "Unknown",
"values": [
123
]
},
"productCategory": {
"operator": "Unknown",
"values": [
{
"id": "<string>",
"level": 123
}
]
},
"sellerId": {
"operator": "Unknown",
"values": [
123
]
}
},
"not": "<unknown>",
"or": "<array>"
},
"countryCodes": [
"<string>"
]
},
"inMarket": {
"brandIds": [
"<string>"
],
"buyingPower": [
"Unknown"
],
"country": "<string>",
"gender": "Unknown",
"interestIds": [
"<string>"
],
"priceRange": [
"Unknown"
]
},
"location": {
"pointsOfInterest": [
{
"latitude": 123,
"longitude": 123,
"name": "<string>"
}
],
"radiusInKm": 123,
"registryType": "Unknown"
},
"lookalike": {
"seedSegmentId": "<string>",
"targetSize": 123
},
"name": "<string>",
"prospecting": {
"daysSinceLastVisitMax": 123,
"daysSinceLastVisitMin": 123,
"usersType": "Unknown"
},
"retargeting": {
"daysSinceLastVisitMax": 123,
"daysSinceLastVisitMin": 123,
"visitorsType": "Unknown"
},
"type": "Unknown",
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/2026-01/marketing-solutions/audience-segments
Updates the properties of all segments with a valid configuration, and returns their IDs. For those that cannot be updated, one or multiple errors are returned.
PATCH
/
2026-01
/
marketing-solutions
/
audience-segments
/2026-01/marketing-solutions/audience-segments
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Segment Update request
Input to update one or more segments.
Show child attributes
Show child attributes
Was this page helpful?